
From: Matt Mackall <mpm@selenic.com>

ZAPENTCNT is now effectively identical to RNDCLEARPOOL, fall through

Signed-off-by: Matt Mackall <mpm@selenic.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/random.c |    4 ----
 1 files changed, 4 deletions(-)

diff -puN drivers/char/random.c~random-pt2-combine-legacy-ioctls drivers/char/random.c
--- 25/drivers/char/random.c~random-pt2-combine-legacy-ioctls	2005-03-07 20:41:47.000000000 -0800
+++ 25-akpm/drivers/char/random.c	2005-03-07 21:14:22.000000000 -0800
@@ -1749,10 +1749,6 @@ random_ioctl(struct inode * inode, struc
 			wake_up_interruptible(&random_read_wait);
 		return 0;
 	case RNDZAPENTCNT:
-		if (!capable(CAP_SYS_ADMIN))
-			return -EPERM;
-		random_state->entropy_count = 0;
-		return 0;
 	case RNDCLEARPOOL:
 		/* Clear the entropy pool counters. */
 		if (!capable(CAP_SYS_ADMIN))
_
